<?php
session_start();
include 'config.php';

if (!isset($_SESSION['id'])) exit;

$reservation_id = intval($_GET['reservation_id']);

$stmt = $conn->prepare("SELECT m.*, u.nom FROM messages m JOIN utilisateurs u ON m.expediteur_id = u.id WHERE m.reservation_id = ? ORDER BY m.date_envoi ASC");
$stmt->bind_param("i", $reservation_id);
$stmt->execute();
$messages = $stmt->get_result();

while ($msg = $messages->fetch_assoc()) {
    echo "<div class='message'>
            <div class='expediteur'>" . htmlspecialchars($msg['nom']) . " <span class='date'>(" . $msg['date_envoi'] . ")</span></div>
            <div>" . nl2br(htmlspecialchars($msg['message'])) . "</div>
          </div>";
}
?>
