<?php
include 'config.php';
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $email = $_POST['email'];

    $stmt = $conn->prepare("SELECT id FROM utilisateurs WHERE email = ?");
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $stmt->store_result();

    if ($stmt->num_rows) {
        $token = bin2hex(random_bytes(50));
        $stmt->bind_result($user_id);
        $stmt->fetch();

        $conn->query("UPDATE utilisateurs SET token = '$token' WHERE id = $user_id");

        $reset_link = "http://localhost/Consulting-School/new_password.php?token=$token";
        // À adapter avec votre fonction mail()
        mail($email, "Réinitialisation de mot de passe", "Cliquez ici pour réinitialiser : $reset_link");

        $success = "Un lien de réinitialisation a été envoyé.";
    } else {
        $error = "Aucun compte trouvé avec cet email.";
    }
}
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <title>Réinitialiser le mot de passe</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="d-flex justify-content-center align-items-center vh-100 bg-light">
<div class="card p-4 shadow" style="max-width: 400px; width: 100%;">
    <h4 class="mb-3">🔒 Mot de passe oublié</h4>
    <?php if (isset($success)) echo "<div class='alert alert-success'>$success</div>"; ?>
    <?php if (isset($error)) echo "<div class='alert alert-danger'>$error</div>"; ?>
    <form method="post">
        <label>Email :</label>
        <input type="email" name="email" class="form-control mb-3" required>
        <button type="submit" class="btn btn-primary w-100">Envoyer le lien</button>
    </form>
</div>
</body>
</html>
