<?php
include 'config.php';
$token = $_GET['token'] ?? '';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $new_pass = password_hash($_POST['new_password'], PASSWORD_DEFAULT);

    $stmt = $conn->prepare("UPDATE utilisateurs SET password = ?, token = '' WHERE token = ?");
    $stmt->bind_param("ss", $new_pass, $token);
    $stmt->execute();

    $success = "Mot de passe mis à jour avec succès. <a href='login.php'>Se connecter</a>";
}
?>

<!DOCTYPE html>
<html lang="fr">
<head>
    <title>Nouveau mot de passe</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="d-flex justify-content-center align-items-center vh-100 bg-light">
<div class="card p-4 shadow" style="max-width: 400px; width: 100%;">
    <h4 class="mb-3">🔐 Nouveau mot de passe</h4>
    <?php if (isset($success)) echo "<div class='alert alert-success'>$success</div>"; ?>
    <form method="post">
        <label>Nouveau mot de passe :</label>
        <input type="password" name="new_password" class="form-control mb-3" required>
        <button type="submit" class="btn btn-success w-100">Mettre à jour</button>
    </form>
</div>
</body>
</html>
